package body MSHTML.IHTMLBlockElement2_Object is

   procedure Put_cite
     (This : IHTMLBlockElement2_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLBlockElement2_Put_cite,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_cite;

   function Get_cite
     (This : IHTMLBlockElement2_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLBlockElement2_Get_cite);
   end Get_cite;

   procedure Put_width
     (This : IHTMLBlockElement2_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLBlockElement2_Put_width,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_width;

   function Get_width
     (This : IHTMLBlockElement2_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLBlockElement2_Get_width);
   end Get_width;

end MSHTML.IHTMLBlockElement2_Object;

